petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCMGSetOperators

Sets operator and preconditioning matrix for lth level

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetOperators(PC pc,PetscInt l,Mat Amat,Mat Pmat)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| Amat | - the operator
| pmat | - the preconditioning operator
| l | - the level (0 is the coarsest) to supply

### Keywords

multigrid, set, interpolate, level

### See Also

PCMGSetRestriction(), PCMGSetInterpolation()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages